=== scripts/copy_from_upstream/requirements.txt ===
attrs==20.3.0
importlib-metadata==3.7.0
Jinja2==2.11.3
markdown-it-py==0.6.2
MarkupSafe==1.1.1
mdit-py-plugins==0.2.5
PyYAML==5.4.1
typing-extensions==3.7.4.3
zipp==3.4.0
