=== src/kem/classic_mceliece/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_CLASSIC_MCELIECE_OBJS "")

if(OQS_ENABLE_KEM_classic_mceliece_348864)
    add_library(classic_mceliece_348864_vec OBJECT kem_classic_mceliece_348864.c pqclean_mceliece348864_vec/aes256ctr.c pqclean_mceliece348864_vec/benes.c pqclean_mceliece348864_vec/bm.c pqclean_mceliece348864_vec/controlbits.c pqclean_mceliece348864_vec/decrypt.c pqclean_mceliece348864_vec/encrypt.c pqclean_mceliece348864_vec/fft.c pqclean_mceliece348864_vec/fft_tr.c pqclean_mceliece348864_vec/gf.c pqclean_mceliece348864_vec/operations.c pqclean_mceliece348864_vec/pk_gen.c pqclean_mceliece348864_vec/sk_gen.c pqclean_mceliece348864_vec/transpose.c pqclean_mceliece348864_vec/util.c pqclean_mceliece348864_vec/vec.c)
    target_include_directories(classic_mceliece_348864_vec PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864_vec)
    target_include_directories(classic_mceliece_348864_vec PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864_vec PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864_vec>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_348864_avx)
    add_library(classic_mceliece_348864_avx OBJECT pqclean_mceliece348864_avx/aes256ctr.c pqclean_mceliece348864_avx/benes.c pqclean_mceliece348864_avx/bm.c pqclean_mceliece348864_avx/consts.S pqclean_mceliece348864_avx/controlbits.c pqclean_mceliece348864_avx/decrypt.c pqclean_mceliece348864_avx/encrypt.c pqclean_mceliece348864_avx/fft.c pqclean_mceliece348864_avx/fft_tr.c pqclean_mceliece348864_avx/gf.c pqclean_mceliece348864_avx/int32_sort.c pqclean_mceliece348864_avx/operations.c pqclean_mceliece348864_avx/pk_gen.c pqclean_mceliece348864_avx/sk_gen.c pqclean_mceliece348864_avx/syndrome_asm.S pqclean_mceliece348864_avx/transpose.c pqclean_mceliece348864_avx/transpose_64x256_sp_asm.S pqclean_mceliece348864_avx/transpose_64x64_asm.S pqclean_mceliece348864_avx/uint32_sort.c pqclean_mceliece348864_avx/update_asm.S pqclean_mceliece348864_avx/util.c pqclean_mceliece348864_avx/vec.c pqclean_mceliece348864_avx/vec128.c pqclean_mceliece348864_avx/vec128_mul_asm.S pqclean_mceliece348864_avx/vec256.c pqclean_mceliece348864_avx/vec256_mul_asm.S pqclean_mceliece348864_avx/vec_mul_asm.S pqclean_mceliece348864_avx/vec_mul_sp_asm.S pqclean_mceliece348864_avx/vec_reduce_asm.S)
    target_include_directories(classic_mceliece_348864_avx PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864_avx)
    target_include_directories(classic_mceliece_348864_avx PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(classic_mceliece_348864_avx PRIVATE  -mavx2  -mpopcnt )
    target_compile_options(classic_mceliece_348864_avx PRIVATE -Wno-language-extension-token)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864_avx PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864_avx>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_348864f)
    add_library(classic_mceliece_348864f_vec OBJECT kem_classic_mceliece_348864f.c pqclean_mceliece348864f_vec/aes256ctr.c pqclean_mceliece348864f_vec/benes.c pqclean_mceliece348864f_vec/bm.c pqclean_mceliece348864f_vec/controlbits.c pqclean_mceliece348864f_vec/decrypt.c pqclean_mceliece348864f_vec/encrypt.c pqclean_mceliece348864f_vec/fft.c pqclean_mceliece348864f_vec/fft_tr.c pqclean_mceliece348864f_vec/gf.c pqclean_mceliece348864f_vec/operations.c pqclean_mceliece348864f_vec/pk_gen.c pqclean_mceliece348864f_vec/sk_gen.c pqclean_mceliece348864f_vec/transpose.c pqclean_mceliece348864f_vec/util.c pqclean_mceliece348864f_vec/vec.c)
    target_include_directories(classic_mceliece_348864f_vec PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864f_vec)
    target_include_directories(classic_mceliece_348864f_vec PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864f_vec PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864f_vec>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_348864f_avx)
    add_library(classic_mceliece_348864f_avx OBJECT pqclean_mceliece348864f_avx/aes256ctr.c pqclean_mceliece348864f_avx/benes.c pqclean_mceliece348864f_avx/bm.c pqclean_mceliece348864f_avx/consts.S pqclean_mceliece348864f_avx/controlbits.c pqclean_mceliece348864f_avx/decrypt.c pqclean_mceliece348864f_avx/encrypt.c pqclean_mceliece348864f_avx/fft.c pqclean_mceliece348864f_avx/fft_tr.c pqclean_mceliece348864f_avx/gf.c pqclean_mceliece348864f_avx/int32_sort.c pqclean_mceliece348864f_avx/operations.c pqclean_mceliece348864f_avx/pk_gen.c pqclean_mceliece348864f_avx/sk_gen.c pqclean_mceliece348864f_avx/syndrome_asm.S pqclean_mceliece348864f_avx/transpose.c pqclean_mceliece348864f_avx/transpose_64x256_sp_asm.S pqclean_mceliece348864f_avx/transpose_64x64_asm.S pqclean_mceliece348864f_avx/uint32_sort.c pqclean_mceliece348864f_avx/update_asm.S pqclean_mceliece348864f_avx/util.c pqclean_mceliece348864f_avx/vec.c pqclean_mceliece348864f_avx/vec128.c pqclean_mceliece348864f_avx/vec128_mul_asm.S pqclean_mceliece348864f_avx/vec256.c pqclean_mceliece348864f_avx/vec256_mul_asm.S pqclean_mceliece348864f_avx/vec_mul_asm.S pqclean_mceliece348864f_avx/vec_mul_sp_asm.S pqclean_mceliece348864f_avx/vec_reduce_asm.S)
    target_include_directories(classic_mceliece_348864f_avx PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864f_avx)
    target_include_directories(classic_mceliece_348864f_avx PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(classic_mceliece_348864f_avx PRIVATE  -mavx2  -mpopcnt  -mbmi )
    target_compile_options(classic_mceliece_348864f_avx PRIVATE -Wno-language-extension-token)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864f_avx PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864f_avx>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896)
    add_library(classic_mceliece_460896_vec OBJECT kem_classic_mceliece_460896.c pqclean_mceliece460896_vec/aes256ctr.c pqclean_mceliece460896_vec/benes.c pqclean_mceliece460896_vec/bm.c pqclean_mceliece460896_vec/controlbits.c pqclean_mceliece460896_vec/decrypt.c pqclean_mceliece460896_vec/encrypt.c pqclean_mceliece460896_vec/fft.c pqclean_mceliece460896_vec/fft_tr.c pqclean_mceliece460896_vec/gf.c pqclean_mceliece460896_vec/operations.c pqclean_mceliece460896_vec/pk_gen.c pqclean_mceliece460896_vec/sk_gen.c pqclean_mceliece460896_vec/transpose.c pqclean_mceliece460896_vec/util.c pqclean_mceliece460896_vec/vec.c)
    target_include_directories(classic_mceliece_460896_vec PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece460896_vec)
    target_include_directories(classic_mceliece_460896_vec PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_460896_vec PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_460896_vec>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896_avx)
    add_library(classic_mceliece_460896_avx OBJECT pqclean_mceliece460896_avx/aes256ctr.c pqclean_mceliece460896_avx/benes.c pqclean_mceliece460896_avx/bm.c pqclean_mceliece460896_avx/consts.S pqclean_mceliece460896_avx/controlbits.c pqclean_mceliece460896_avx/decrypt.c pqclean_mceliece460896_avx/encrypt.c pqclean_mceliece460896_avx/fft.c pqclean_mceliece460896_avx/fft_tr.c pqclean_mceliece460896_avx/gf.c pqclean_mceliece460896_avx/int32_sort.c pqclean_mceliece460896_avx/operations.c pqclean_mceliece460896_avx/pk_gen.c pqclean_mceliece460896_avx/sk_gen.c pqclean_mceliece460896_avx/syndrome_asm.S pqclean_mceliece460896_avx/transpose.c pqclean_mceliece460896_avx/transpose_64x128_sp_asm.S pqclean_mceliece460896_avx/transpose_64x256_sp_asm.S pqclean_mceliece460896_avx/uint32_sort.c pqclean_mceliece460896_avx/update_asm.S pqclean_mceliece460896_avx/util.c pqclean_mceliece460896_avx/vec128.c pqclean_mceliece460896_avx/vec128_mul_asm.S pqclean_mceliece460896_avx/vec256.c pqclean_mceliece460896_avx/vec256_ama_asm.S pqclean_mceliece460896_avx/vec256_maa_asm.S pqclean_mceliece460896_avx/vec256_mul_asm.S pqclean_mceliece460896_avx/vec_reduce_asm.S)
    target_include_directories(classic_mceliece_460896_avx PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece460896_avx)
    target_include_directories(classic_mceliece_460896_avx PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(classic_mceliece_460896_avx PRIVATE  -mavx2  -mpopcnt )
    target_compile_options(classic_mceliece_460896_avx PRIVATE -Wno-language-extension-token)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_460896_avx PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_460896_avx>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896f)
    add_library(classic_mceliece_460896f_vec OBJECT kem_classic_mceliece_460896f.c pqclean_mceliece460896f_vec/aes256ctr.c pqclean_mceliece460896f_vec/benes.c pqclean_mceliece460896f_vec/bm.c pqclean_mceliece460896f_vec/controlbits.c pqclean_mceliece460896f_vec/decrypt.c pqclean_mceliece460896f_vec/encrypt.c pqclean_mceliece460896f_vec/fft.c pqclean_mceliece460896f_vec/fft_tr.c pqclean_mceliece460896f_vec/gf.c pqclean_mceliece460896f_vec/operations.c pqclean_mceliece460896f_vec/pk_gen.c pqclean_mceliece460896f_vec/sk_gen.c pqclean_mceliece460896f_vec/transpose.c pqclean_mceliece460896f_vec/util.c pqclean_mceliece460896f_vec/vec.c)
    target_include_directories(classic_mceliece_460896f_vec PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece460896f_vec)
    target_include_directories(classic_mceliece_460896f_vec PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_460896f_vec PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_460896f_vec>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896f_avx)
    add_library(classic_mceliece_460896f_avx OBJECT pqclean_mceliece460896f_avx/aes256ctr.c pqclean_mceliece460896f_avx/benes.c pqclean_mceliece460896f_avx/bm.c pqclean_mceliece460896f_avx/consts.S pqclean_mceliece460896f_avx/controlbits.c pqclean_mceliece460896f_avx/decrypt.c pqclean_mceliece460896f_avx/encrypt.c pqclean_mceliece460896f_avx/fft.c pqclean_mceliece460896f_avx/fft_tr.c pqclean_mceliece460896f_avx/gf.c pqclean_mceliece460896f_avx/int32_sort.c pqclean_mceliece460896f_avx/operations.c pqclean_mceliece460896f_avx/pk_gen.c pqclean_mceliece460896f_avx/sk_gen.c pqclean_mceliece460896f_avx/syndrome_asm.S pqclean_mceliece460896f_avx/transpose.c pqclean_mceliece460896f_avx/transpose_64x128_sp_asm.S pqclean_mceliece460896f_avx/transpose_64x256_sp_asm.S pqclean_mceliece460896f_avx/uint32_sort.c pqclean_mceliece460896f_avx/update_asm.S pqclean_mceliece460896f_avx/util.c pqclean_mceliece460896f_avx/vec128.c pqclean_mceliece460896f_avx/vec128_mul_asm.S pqclean_mceliece460896f_avx/vec256.c pqclean_mceliece460896f_avx/vec256_ama_asm.S pqclean_mceliece460896f_avx/vec256_maa_asm.S pqclean_mceliece460896f_avx/vec256_mul_asm.S pqclean_mceliece460896f_avx/vec_reduce_asm.S)
    target_include_directories(classic_mceliece_460896f_avx PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece460896f_avx)
