=== src/kem/ntruprime/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_NTRUPRIME_OBJS "")

if(OQS_ENABLE_KEM_ntruprime_ntrulpr653)
    add_library(ntruprime_ntrulpr653_clean OBJECT kem_ntruprime_ntrulpr653.c pqclean_ntrulpr653_clean/crypto_core_multsntrup653.c pqclean_ntrulpr653_clean/crypto_decode_256x16.c pqclean_ntrulpr653_clean/crypto_decode_256x2.c pqclean_ntrulpr653_clean/crypto_decode_653x1541.c pqclean_ntrulpr653_clean/crypto_decode_653x3.c pqclean_ntrulpr653_clean/crypto_decode_653xint16.c pqclean_ntrulpr653_clean/crypto_decode_653xint32.c pqclean_ntrulpr653_clean/crypto_encode_256x16.c pqclean_ntrulpr653_clean/crypto_encode_256x2.c pqclean_ntrulpr653_clean/crypto_encode_653x1541.c pqclean_ntrulpr653_clean/crypto_encode_653x1541round.c pqclean_ntrulpr653_clean/crypto_encode_653x3.c pqclean_ntrulpr653_clean/crypto_encode_653xint16.c pqclean_ntrulpr653_clean/crypto_sort_int32.c pqclean_ntrulpr653_clean/crypto_sort_uint32.c pqclean_ntrulpr653_clean/crypto_stream_aes256ctr.c pqclean_ntrulpr653_clean/crypto_verify_1025.c pqclean_ntrulpr653_clean/kem.c)
    target_include_directories(ntruprime_ntrulpr653_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntrulpr653_clean)
    target_include_directories(ntruprime_ntrulpr653_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntruprime_ntrulpr653_clean PRIVATE old_gas_syntax)
    endif()
    set(_NTRUPRIME_OBJS ${_NTRUPRIME_OBJS} $<TARGET_OBJECTS:ntruprime_ntrulpr653_clean>)
endif()

if(OQS_ENABLE_KEM_ntruprime_ntrulpr653_avx2)
    add_library(ntruprime_ntrulpr653_avx2 OBJECT pqclean_ntrulpr653_avx2/crypto_core_multsntrup653.c pqclean_ntrulpr653_avx2/crypto_core_multsntrup653_ntt.c pqclean_ntrulpr653_avx2/crypto_decode_256x16.c pqclean_ntrulpr653_avx2/crypto_decode_256x2.c pqclean_ntrulpr653_avx2/crypto_decode_653x1541.c pqclean_ntrulpr653_avx2/crypto_decode_653x3.c pqclean_ntrulpr653_avx2/crypto_decode_653xint16.c pqclean_ntrulpr653_avx2/crypto_decode_653xint32.c pqclean_ntrulpr653_avx2/crypto_encode_256x16.c pqclean_ntrulpr653_avx2/crypto_encode_256x2.c pqclean_ntrulpr653_avx2/crypto_encode_653x1541.c pqclean_ntrulpr653_avx2/crypto_encode_653x1541round.c pqclean_ntrulpr653_avx2/crypto_encode_653x3.c pqclean_ntrulpr653_avx2/crypto_encode_653xint16.c pqclean_ntrulpr653_avx2/crypto_sort_int32.c pqclean_ntrulpr653_avx2/crypto_sort_uint32.c pqclean_ntrulpr653_avx2/crypto_stream_aes256ctr.c pqclean_ntrulpr653_avx2/crypto_verify_1025.c pqclean_ntrulpr653_avx2/kem.c)
    target_include_directories(ntruprime_ntrulpr653_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntrulpr653_avx2)
    target_include_directories(ntruprime_ntrulpr653_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ntruprime_ntrulpr653_avx2 PRIVATE  -mavx2 )
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntruprime_ntrulpr653_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_NTRUPRIME_OBJS ${_NTRUPRIME_OBJS} $<TARGET_OBJECTS:ntruprime_ntrulpr653_avx2>)
endif()

if(OQS_ENABLE_KEM_ntruprime_ntrulpr761)
    add_library(ntruprime_ntrulpr761_clean OBJECT kem_ntruprime_ntrulpr761.c pqclean_ntrulpr761_clean/crypto_core_multsntrup761.c pqclean_ntrulpr761_clean/crypto_decode_256x16.c pqclean_ntrulpr761_clean/crypto_decode_256x2.c pqclean_ntrulpr761_clean/crypto_decode_761x1531.c pqclean_ntrulpr761_clean/crypto_decode_761x3.c pqclean_ntrulpr761_clean/crypto_decode_761xint16.c pqclean_ntrulpr761_clean/crypto_decode_761xint32.c pqclean_ntrulpr761_clean/crypto_encode_256x16.c pqclean_ntrulpr761_clean/crypto_encode_256x2.c pqclean_ntrulpr761_clean/crypto_encode_761x1531.c pqclean_ntrulpr761_clean/crypto_encode_761x1531round.c pqclean_ntrulpr761_clean/crypto_encode_761x3.c pqclean_ntrulpr761_clean/crypto_encode_761xint16.c pqclean_ntrulpr761_clean/crypto_sort_int32.c pqclean_ntrulpr761_clean/crypto_sort_uint32.c pqclean_ntrulpr761_clean/crypto_stream_aes256ctr.c pqclean_ntrulpr761_clean/crypto_verify_1167.c pqclean_ntrulpr761_clean/kem.c)
    target_include_directories(ntruprime_ntrulpr761_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntrulpr761_clean)
    target_include_directories(ntruprime_ntrulpr761_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntruprime_ntrulpr761_clean PRIVATE old_gas_syntax)
    endif()
    set(_NTRUPRIME_OBJS ${_NTRUPRIME_OBJS} $<TARGET_OBJECTS:ntruprime_ntrulpr761_clean>)
endif()

if(OQS_ENABLE_KEM_ntruprime_ntrulpr761_avx2)
    add_library(ntruprime_ntrulpr761_avx2 OBJECT pqclean_ntrulpr761_avx2/crypto_core_multsntrup761.c pqclean_ntrulpr761_avx2/crypto_core_multsntrup761_ntt.c pqclean_ntrulpr761_avx2/crypto_decode_256x16.c pqclean_ntrulpr761_avx2/crypto_decode_256x2.c pqclean_ntrulpr761_avx2/crypto_decode_761x1531.c pqclean_ntrulpr761_avx2/crypto_decode_761x3.c pqclean_ntrulpr761_avx2/crypto_decode_761xint16.c pqclean_ntrulpr761_avx2/crypto_decode_761xint32.c pqclean_ntrulpr761_avx2/crypto_encode_256x16.c pqclean_ntrulpr761_avx2/crypto_encode_256x2.c pqclean_ntrulpr761_avx2/crypto_encode_761x1531.c pqclean_ntrulpr761_avx2/crypto_encode_761x1531round.c pqclean_ntrulpr761_avx2/crypto_encode_761x3.c pqclean_ntrulpr761_avx2/crypto_encode_761xint16.c pqclean_ntrulpr761_avx2/crypto_sort_int32.c pqclean_ntrulpr761_avx2/crypto_sort_uint32.c pqclean_ntrulpr761_avx2/crypto_stream_aes256ctr.c pqclean_ntrulpr761_avx2/crypto_verify_1167.c pqclean_ntrulpr761_avx2/kem.c)
    target_include_directories(ntruprime_ntrulpr761_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntrulpr761_avx2)
    target_include_directories(ntruprime_ntrulpr761_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ntruprime_ntrulpr761_avx2 PRIVATE  -mavx2 )
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntruprime_ntrulpr761_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_NTRUPRIME_OBJS ${_NTRUPRIME_OBJS} $<TARGET_OBJECTS:ntruprime_ntrulpr761_avx2>)
endif()

if(OQS_ENABLE_KEM_ntruprime_ntrulpr857)
    add_library(ntruprime_ntrulpr857_clean OBJECT kem_ntruprime_ntrulpr857.c pqclean_ntrulpr857_clean/crypto_core_multsntrup857.c pqclean_ntrulpr857_clean/crypto_decode_256x16.c pqclean_ntrulpr857_clean/crypto_decode_256x2.c pqclean_ntrulpr857_clean/crypto_decode_857x1723.c pqclean_ntrulpr857_clean/crypto_decode_857x3.c pqclean_ntrulpr857_clean/crypto_decode_857xint16.c pqclean_ntrulpr857_clean/crypto_decode_857xint32.c pqclean_ntrulpr857_clean/crypto_encode_256x16.c pqclean_ntrulpr857_clean/crypto_encode_256x2.c pqclean_ntrulpr857_clean/crypto_encode_857x1723.c pqclean_ntrulpr857_clean/crypto_encode_857x1723round.c pqclean_ntrulpr857_clean/crypto_encode_857x3.c pqclean_ntrulpr857_clean/crypto_encode_857xint16.c pqclean_ntrulpr857_clean/crypto_sort_int32.c pqclean_ntrulpr857_clean/crypto_sort_uint32.c pqclean_ntrulpr857_clean/crypto_stream_aes256ctr.c pqclean_ntrulpr857_clean/crypto_verify_1312.c pqclean_ntrulpr857_clean/kem.c)
    target_include_directories(ntruprime_ntrulpr857_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntrulpr857_clean)
    target_include_directories(ntruprime_ntrulpr857_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntruprime_ntrulpr857_clean PRIVATE old_gas_syntax)
    endif()
    set(_NTRUPRIME_OBJS ${_NTRUPRIME_OBJS} $<TARGET_OBJECTS:ntruprime_ntrulpr857_clean>)
endif()

if(OQS_ENABLE_KEM_ntruprime_ntrulpr857_avx2)
    add_library(ntruprime_ntrulpr857_avx2 OBJECT pqclean_ntrulpr857_avx2/crypto_core_multsntrup857.c pqclean_ntrulpr857_avx2/crypto_core_multsntrup857_ntt.c pqclean_ntrulpr857_avx2/crypto_decode_256x16.c pqclean_ntrulpr857_avx2/crypto_decode_256x2.c pqclean_ntrulpr857_avx2/crypto_decode_857x1723.c pqclean_ntrulpr857_avx2/crypto_decode_857x3.c pqclean_ntrulpr857_avx2/crypto_decode_857xint16.c pqclean_ntrulpr857_avx2/crypto_decode_857xint32.c pqclean_ntrulpr857_avx2/crypto_encode_256x16.c pqclean_ntrulpr857_avx2/crypto_encode_256x2.c pqclean_ntrulpr857_avx2/crypto_encode_857x1723.c pqclean_ntrulpr857_avx2/crypto_encode_857x1723round.c pqclean_ntrulpr857_avx2/crypto_encode_857x3.c pqclean_ntrulpr857_avx2/crypto_encode_857xint16.c pqclean_ntrulpr857_avx2/crypto_sort_int32.c pqclean_ntrulpr857_avx2/crypto_sort_uint32.c pqclean_ntrulpr857_avx2/crypto_stream_aes256ctr.c pqclean_ntrulpr857_avx2/crypto_verify_1312.c pqclean_ntrulpr857_avx2/kem.c)
    target_include_directories(ntruprime_ntrulpr857_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntrulpr857_avx2)
    target_include_directories(ntruprime_ntrulpr857_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ntruprime_ntrulpr857_avx2 PRIVATE  -mavx2 )
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntruprime_ntrulpr857_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_NTRUPRIME_OBJS ${_NTRUPRIME_OBJS} $<TARGET_OBJECTS:ntruprime_ntrulpr857_avx2>)
endif()

if(OQS_ENABLE_KEM_ntruprime_ntrulpr1277)
    add_library(ntruprime_ntrulpr1277_clean OBJECT kem_ntruprime_ntrulpr1277.c pqclean_ntrulpr1277_clean/crypto_core_multsntrup1277.c pqclean_ntrulpr1277_clean/crypto_decode_1277x2627.c pqclean_ntrulpr1277_clean/crypto_decode_1277x3.c pqclean_ntrulpr1277_clean/crypto_decode_1277xint16.c pqclean_ntrulpr1277_clean/crypto_decode_1277xint32.c pqclean_ntrulpr1277_clean/crypto_decode_256x16.c pqclean_ntrulpr1277_clean/crypto_decode_256x2.c pqclean_ntrulpr1277_clean/crypto_encode_1277x2627.c pqclean_ntrulpr1277_clean/crypto_encode_1277x2627round.c pqclean_ntrulpr1277_clean/crypto_encode_1277x3.c pqclean_ntrulpr1277_clean/crypto_encode_1277xint16.c pqclean_ntrulpr1277_clean/crypto_encode_256x16.c pqclean_ntrulpr1277_clean/crypto_encode_256x2.c pqclean_ntrulpr1277_clean/crypto_sort_int32.c pqclean_ntrulpr1277_clean/crypto_sort_uint32.c pqclean_ntrulpr1277_clean/crypto_stream_aes256ctr.c pqclean_ntrulpr1277_clean/crypto_verify_1975.c pqclean_ntrulpr1277_clean/kem.c)
    target_include_directories(ntruprime_ntrulpr1277_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntrulpr1277_clean)
    target_include_directories(ntruprime_ntrulpr1277_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntruprime_ntrulpr1277_clean PRIVATE old_gas_syntax)
    endif()
    set(_NTRUPRIME_OBJS ${_NTRUPRIME_OBJS} $<TARGET_OBJECTS:ntruprime_ntrulpr1277_clean>)
endif()

if(OQS_ENABLE_KEM_ntruprime_ntrulpr1277_avx2)
    add_library(ntruprime_ntrulpr1277_avx2 OBJECT pqclean_ntrulpr1277_avx2/crypto_core_multsntrup1277.c pqclean_ntrulpr1277_avx2/crypto_core_multsntrup1277_ntt.c pqclean_ntrulpr1277_avx2/crypto_decode_1277x2627.c pqclean_ntrulpr1277_avx2/crypto_decode_1277x3.c pqclean_ntrulpr1277_avx2/crypto_decode_1277xint16.c pqclean_ntrulpr1277_avx2/crypto_decode_1277xint32.c pqclean_ntrulpr1277_avx2/crypto_decode_256x16.c pqclean_ntrulpr1277_avx2/crypto_decode_256x2.c pqclean_ntrulpr1277_avx2/crypto_encode_1277x2627.c pqclean_ntrulpr1277_avx2/crypto_encode_1277x2627round.c pqclean_ntrulpr1277_avx2/crypto_encode_1277x3.c pqclean_ntrulpr1277_avx2/crypto_encode_1277xint16.c pqclean_ntrulpr1277_avx2/crypto_encode_256x16.c pqclean_ntrulpr1277_avx2/crypto_encode_256x2.c pqclean_ntrulpr1277_avx2/crypto_sort_int32.c pqclean_ntrulpr1277_avx2/crypto_sort_uint32.c pqclean_ntrulpr1277_avx2/crypto_stream_aes256ctr.c pqclean_ntrulpr1277_avx2/crypto_verify_1975.c pqclean_ntrulpr1277_avx2/kem.c)
    target_include_directories(ntruprime_ntrulpr1277_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntrulpr1277_avx2)
    target_include_directories(ntruprime_ntrulpr1277_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ntruprime_ntrulpr1277_avx2 PRIVATE  -mavx2 )
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
