=== src/kem/saber/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_SABER_OBJS "")

if(OQS_ENABLE_KEM_saber_lightsaber)
    add_library(saber_lightsaber_clean OBJECT kem_saber_lightsaber.c pqclean_lightsaber_clean/cbd.c pqclean_lightsaber_clean/kem.c pqclean_lightsaber_clean/pack_unpack.c pqclean_lightsaber_clean/poly.c pqclean_lightsaber_clean/poly_mul.c pqclean_lightsaber_clean/SABER_indcpa.c pqclean_lightsaber_clean/verify.c)
    target_include_directories(saber_lightsaber_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_lightsaber_clean)
    target_include_directories(saber_lightsaber_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(saber_lightsaber_clean PRIVATE old_gas_syntax)
    endif()
    set(_SABER_OBJS ${_SABER_OBJS} $<TARGET_OBJECTS:saber_lightsaber_clean>)
endif()

if(OQS_ENABLE_KEM_saber_lightsaber_avx2)
    add_library(saber_lightsaber_avx2 OBJECT pqclean_lightsaber_avx2/cbd.c pqclean_lightsaber_avx2/kem.c pqclean_lightsaber_avx2/pack_unpack.c pqclean_lightsaber_avx2/poly.c pqclean_lightsaber_avx2/poly_mul.c pqclean_lightsaber_avx2/SABER_indcpa.c pqclean_lightsaber_avx2/verify.c)
    target_include_directories(saber_lightsaber_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_lightsaber_avx2)
    target_include_directories(saber_lightsaber_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(saber_lightsaber_avx2 PRIVATE  -mavx2 )
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(saber_lightsaber_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_SABER_OBJS ${_SABER_OBJS} $<TARGET_OBJECTS:saber_lightsaber_avx2>)
endif()

if(OQS_ENABLE_KEM_saber_lightsaber_aarch64)
    add_library(saber_lightsaber_aarch64 OBJECT pqclean_lightsaber_aarch64/__asm_iNTT.S pqclean_lightsaber_aarch64/__asm_mul.S pqclean_lightsaber_aarch64/__asm_narrow.S pqclean_lightsaber_aarch64/__asm_NTT.S pqclean_lightsaber_aarch64/__asm_pack_unpack.S pqclean_lightsaber_aarch64/cbd.c pqclean_lightsaber_aarch64/fips202x2.c pqclean_lightsaber_aarch64/kem.c pqclean_lightsaber_aarch64/pack_unpack.c pqclean_lightsaber_aarch64/SABER_indcpa.c pqclean_lightsaber_aarch64/verify.c)
    target_include_directories(saber_lightsaber_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_lightsaber_aarch64)
    target_include_directories(saber_lightsaber_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(saber_lightsaber_aarch64 PRIVATE old_gas_syntax)
    endif()
    set(_SABER_OBJS ${_SABER_OBJS} $<TARGET_OBJECTS:saber_lightsaber_aarch64>)
endif()

if(OQS_ENABLE_KEM_saber_saber)
    add_library(saber_saber_clean OBJECT kem_saber_saber.c pqclean_saber_clean/cbd.c pqclean_saber_clean/kem.c pqclean_saber_clean/pack_unpack.c pqclean_saber_clean/poly.c pqclean_saber_clean/poly_mul.c pqclean_saber_clean/SABER_indcpa.c pqclean_saber_clean/verify.c)
    target_include_directories(saber_saber_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_saber_clean)
    target_include_directories(saber_saber_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(saber_saber_clean PRIVATE old_gas_syntax)
    endif()
    set(_SABER_OBJS ${_SABER_OBJS} $<TARGET_OBJECTS:saber_saber_clean>)
endif()

if(OQS_ENABLE_KEM_saber_saber_avx2)
    add_library(saber_saber_avx2 OBJECT pqclean_saber_avx2/cbd.c pqclean_saber_avx2/kem.c pqclean_saber_avx2/pack_unpack.c pqclean_saber_avx2/poly.c pqclean_saber_avx2/poly_mul.c pqclean_saber_avx2/SABER_indcpa.c pqclean_saber_avx2/verify.c)
    target_include_directories(saber_saber_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_saber_avx2)
    target_include_directories(saber_saber_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(saber_saber_avx2 PRIVATE  -mavx2 )
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(saber_saber_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_SABER_OBJS ${_SABER_OBJS} $<TARGET_OBJECTS:saber_saber_avx2>)
endif()

if(OQS_ENABLE_KEM_saber_saber_aarch64)
    add_library(saber_saber_aarch64 OBJECT pqclean_saber_aarch64/__asm_iNTT.S pqclean_saber_aarch64/__asm_mul.S pqclean_saber_aarch64/__asm_narrow.S pqclean_saber_aarch64/__asm_NTT.S pqclean_saber_aarch64/__asm_pack_unpack.S pqclean_saber_aarch64/cbd.c pqclean_saber_aarch64/fips202x2.c pqclean_saber_aarch64/kem.c pqclean_saber_aarch64/pack_unpack.c pqclean_saber_aarch64/SABER_indcpa.c pqclean_saber_aarch64/verify.c)
    target_include_directories(saber_saber_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_saber_aarch64)
    target_include_directories(saber_saber_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(saber_saber_aarch64 PRIVATE old_gas_syntax)
    endif()
    set(_SABER_OBJS ${_SABER_OBJS} $<TARGET_OBJECTS:saber_saber_aarch64>)
endif()

if(OQS_ENABLE_KEM_saber_firesaber)
    add_library(saber_firesaber_clean OBJECT kem_saber_firesaber.c pqclean_firesaber_clean/cbd.c pqclean_firesaber_clean/kem.c pqclean_firesaber_clean/pack_unpack.c pqclean_firesaber_clean/poly.c pqclean_firesaber_clean/poly_mul.c pqclean_firesaber_clean/SABER_indcpa.c pqclean_firesaber_clean/verify.c)
    target_include_directories(saber_firesaber_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_firesaber_clean)
    target_include_directories(saber_firesaber_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(saber_firesaber_clean PRIVATE old_gas_syntax)
    endif()
    set(_SABER_OBJS ${_SABER_OBJS} $<TARGET_OBJECTS:saber_firesaber_clean>)
endif()

if(OQS_ENABLE_KEM_saber_firesaber_avx2)
    add_library(saber_firesaber_avx2 OBJECT pqclean_firesaber_avx2/cbd.c pqclean_firesaber_avx2/kem.c pqclean_firesaber_avx2/pack_unpack.c pqclean_firesaber_avx2/poly.c pqclean_firesaber_avx2/poly_mul.c pqclean_firesaber_avx2/SABER_indcpa.c pqclean_firesaber_avx2/verify.c)
    target_include_directories(saber_firesaber_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_firesaber_avx2)
    target_include_directories(saber_firesaber_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(saber_firesaber_avx2 PRIVATE  -mavx2 )
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(saber_firesaber_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_SABER_OBJS ${_SABER_OBJS} $<TARGET_OBJECTS:saber_firesaber_avx2>)
endif()

if(OQS_ENABLE_KEM_saber_firesaber_aarch64)
    add_library(saber_firesaber_aarch64 OBJECT pqclean_firesaber_aarch64/__asm_iNTT.S pqclean_firesaber_aarch64/__asm_mul.S pqclean_firesaber_aarch64/__asm_narrow.S pqclean_firesaber_aarch64/__asm_NTT.S pqclean_firesaber_aarch64/__asm_pack_unpack.S pqclean_firesaber_aarch64/cbd.c pqclean_firesaber_aarch64/fips202x2.c pqclean_firesaber_aarch64/kem.c pqclean_firesaber_aarch64/pack_unpack.c pqclean_firesaber_aarch64/SABER_indcpa.c pqclean_firesaber_aarch64/verify.c)
    target_include_directories(saber_firesaber_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_firesaber_aarch64)
    target_include_directories(saber_firesaber_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(saber_firesaber_aarch64 PRIVATE old_gas_syntax)
    endif()
    set(_SABER_OBJS ${_SABER_OBJS} $<TARGET_OBJECTS:saber_firesaber_aarch64>)
endif()

set(SABER_OBJS ${_SABER_OBJS} PARENT_SCOPE)
