=== debian/changelog ===
liboqs (0.7.2-2) unstable; urgency=medium

  * Import upstream commit disabling executable stack on mips* and hppa
    architectures.

 -- Andrius Merkys <merkys@debian.org>  Wed, 31 Aug 2022 01:21:51 -0400

liboqs (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * Change homepage to https://openquantumsafe.org.

 -- Andrius Merkys <merkys@debian.org>  Mon, 29 Aug 2022 09:55:09 -0400

liboqs (0.7.2~rc2-1) unstable; urgency=medium

  * New upstream version 0.7.2~rc2

 -- Andrius Merkys <merkys@debian.org>  Thu, 11 Aug 2022 01:21:18 -0400

liboqs (0.7.2~rc1-1) unstable; urgency=medium

  * New upstream version 0.7.2~rc1
  * Update debian/copyright.
  * Build now respects multiarch.
  * No more need to skip dh_dwz.
  * Adapt to soversion change.

 -- Andrius Merkys <merkys@debian.org>  Sat, 06 Aug 2022 07:12:57 -0400

liboqs (0.7.1-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * New upstream version 0.7.1
  * Bumping copyright years.

  [ lintian-brush ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andrius Merkys <merkys@debian.org>  Fri, 17 Dec 2021 07:20:57 -0500

liboqs (0.7.1~rc1-1) unstable; urgency=medium

  * Switching back to watching GitHub tags.
  * New upstream version 0.7.1~rc1

 -- Andrius Merkys <merkys@debian.org>  Fri, 10 Dec 2021 02:03:45 -0500

liboqs (0.7.0.39.g8e22871f-1) unstable; urgency=medium

  * No more need to repack as all licenses have been clarified.
  * New upstream version 0.7.0.39.g8e22871f
  * Adding license statement to recently included files.
  * Dropping adjust-to-non-DFSG-removal.patch. Refreshing other patches.
  * Re-enabling KEM_hqc.

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 Dec 2021 03:03:50 -0500

liboqs (0.7.0.32.g8df1a81d+dfsg-1) unstable; urgency=medium

  * New upstream version 0.7.0.32.g8df1a81d+dfsg (Closes: #999823).
  * Fixing reproducibility issue (Closes: #999866). Thanks Chris Lamb.

 -- Andrius Merkys <merkys@debian.org>  Tue, 23 Nov 2021 01:40:43 -0500

liboqs (0.7.0.27.gba5b61a7+dfsg-1) unstable; urgency=medium

  * New upstream version 0.7.0.27.gba5b61a7+dfsg
  * Refreshing patches.
  * Cleaning up debian/rules, building on unsupported architectures.

 -- Andrius Merkys <merkys@debian.org>  Wed, 17 Nov 2021 03:57:27 -0500

liboqs (0.7.0.15.g9be13d21+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #994548)

 -- Andrius Merkys <merkys@debian.org>  Wed, 29 Sep 2021 02:08:47 -0400
