=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON \
		-DOQS_PERMIT_UNSUPPORTED_ARCHITECTURE=ON \
		-GNinja

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache tests/__pycache__ tmp
