=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/-rc/~rc/" \
 https://github.com/open-quantum-safe/liboqs/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
## Should switch back to watching HEAD would be needed, uncomment this:
# opts="mode=git,pretty=describe,pgpmode=none,dversionmangle=auto" \
#   https://github.com/open-quantum-safe/liboqs \
#   HEAD
